package com.fjhx.victoriatourist.service.blessing;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.blessing.dto.BlessingCoverDto;
import com.fjhx.victoriatourist.entity.blessing.dto.BlessingCoverSelectDto;
import com.fjhx.victoriatourist.entity.blessing.po.BlessingCover;
import com.fjhx.victoriatourist.entity.blessing.vo.BlessingCoverVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 祝福封面 服务类
 * </p>
 *
 * @author lqh
 * @since 2023-12-09
 */
public interface BlessingCoverService extends BaseService<BlessingCover> {

    /**
     * 祝福封面列表
     */
    List<BlessingCoverVo> getList(BlessingCoverSelectDto dto);

    /**
     * 祝福封面分页
     */
    Page<BlessingCoverVo> getPage(BlessingCoverSelectDto dto);

    /**
     * 祝福封面明细
     */
    BlessingCoverVo detail(Long id);

    /**
     * 祝福封面新增
     */
    void add(BlessingCoverDto blessingCoverDto);

    /**
     * 祝福封面编辑
     */
    void edit(BlessingCoverDto blessingCoverDto);

    /**
     * 祝福封面删除
     */
    void delete(Long id);

}
